﻿//
import SGF.SceneDirector;
import SH.Game.Sounds;
import IDTheftGame.Score;

//Stores reference data
class Ref{
	
	
	//************************************************************
	//PUBLIC VARS
	//************************************************************
	
	//place all global references here
	public var localPath;
	public var pathToGame:MovieClip;
	public var sceneDirector:SceneDirector;
	public var gameSounds:Sounds;
	public var pathToMenu:MovieClip;
	public var score:Score;
	public var languageXMLPath:String;
	public var movieHeight:Number;
	public var movieWidth:Number;
	public var currentLanguage:String;
	public var dataStorageLocation:String;
	public var scene:String;
	
	//game specific
	public var character:String = "";
	
	
	//************************************************************
	//PROPERTIES
	//************************************************************
	

	//************************************************************
	//CONSTRUCTOR FUNCTIONS
	//************************************************************


	//private vars:
   static private var instance:Ref;
 
   private function Ref() {}
 
   public static function gI():Ref {

      if (instance == undefined) {
         
			instance = new Ref();
			return instance;
			
		}else{
			
			return instance;
			
		}
	}
	
	
	
	//************************************************************
	//INITIAL FUNCTIONS: Usually functions off the constructor
	//************************************************************
	
	
	
	//************************************************************
	//PUBLIC VISUAL FUNCTIONS: Functions that hide and show items in the MC
	//************************************************************
	
	//************************************************************
	//PRIVATE VISUAL FUNCTIONS: Functions that hide and show items in the MC
	//************************************************************
	
	
	
	//************************************************************
	//PUBLIC VISUAL STRUCTURAL FUNCTIONS: Functions that affect the visuals and structure of the MC 
	//************************************************************

	
	//************************************************************
	//PRIVATE VISUAL STRUCTURAL FUNCTIONS: Functions that affect the visuals and structure of the MC 
	//************************************************************
	
	
	//************************************************************
	//PUBLIC CHARACTER FUNCTIONS: Functions that animate characters
	//************************************************************
	
	
	//************************************************************
	//PRIVATE CHARACTER FUNCTIONS: Functions that animate characters
	//************************************************************
	
	
	
	//************************************************************
	//PUBLIC GENERAL FUNCTIONS
	//************************************************************
	
	
	//************************************************************
	//PRIVATE GENERAL FUNCTIONS
	//************************************************************
	
	
	//************************************************************
	//PRIVATE HELPER FUNCTIONS
	//************************************************************

	
	//************************************************************
	//REGULAR EVENT FUNCTIONS: Functions that fire off regular MC events
	//************************************************************
	
	
	//************************************************************
	//CUSTOM EVENT FUNCTIONS: Functions that fire off custom made events
	//************************************************************
	
	
	//************************************************************
	//CHARACTER EVENT FUNCTIONS: Events fired from character movements
	//************************************************************
	
	
}